%define name emacs-tramp
%define version 20010615
%define release 4mdk

%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}
%{expand:%%define xemacs_version %(rpm -q xemacs|sed 's/xemacs-\([0-9].*\)-.*$/\1/')}

Summary: Transparent Remote (file) Access, Multiple Protocol
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ls6-ftp.cs.uni-dortmund.de/pub/src/emacs/tramp.tar.bz2
Patch0: emacs-tramp-method-scp-by-default.patch.bz2
Copyright: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: emacs xemacs texinfo
BuildArch: noarch
Prefix: %{_prefix}
Requires: emacs = %{emacs_version}

%package -n xemacs-tramp
Summary: Transparent Remote (file) Access, Multiple Protocol
Copyright: GPL
Group: Networking/News
Requires: xemacs = %{xemacs_version}

%description
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local 
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%description -n xemacs-tramp
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%prep
%setup -n tramp -q
%patch0 -p1
chmod a+r -R .

%build

for i in emacs xemacs; do
  make EMACS=$i
  install -d elc-$i
  mv lisp/*.elc elc-$i
done

%install
rm -rf $RPM_BUILD_ROOT
for i in emacs xemacs; do
  install -d $RPM_BUILD_ROOT%{_datadir}/$i/site-lisp
  install -m 644 elc-$i/*.elc $RPM_BUILD_ROOT%{_datadir}/$i/site-lisp
done

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
echo "(require 'tramp)" >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/tramp.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc texi/tramp.html
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files -n xemacs-tramp
%defattr(-,root,root)
%doc texi/tramp.html
%{_datadir}/xemacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%changelog
* Thu Sep 13 2001 Pixel <pixel@mandrakesoft.com> 20010615-4mdk
- /etc/xemacs/site-start.d not there/needed anymore

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 20010615-3mdk
- fix rights on doc

* Mon Sep  3 2001 Pixel <pixel@mandrakesoft.com> 20010615-2mdk
- rebuild for new xemacs

* Mon Jun 18 2001 Pixel <pixel@mandrakesoft.com> 20010615-1mdk
- new version

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 20001101-6mdk
- rebuild for new xemacs

* Tue Dec 12 2000 Pixel <pixel@mandrakesoft.com> 20001101-5mdk
- compile for both emacs and xemacs

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 20001101-4mdk
- the build really is texinfo (vincysuk ;p)

* Mon Dec 11 2000 Vincent Saugey <vince@mandrakesoft.com> 20001101-3mdk
- add build requires (tetex)

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 20001101-2mdk
- add BuildRequires 

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 20001101-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 20000606-4mdk
- fix summary

* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 20000606-3mdk
- add %%config

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 20000606-2mdk
- use %{_sysconfdir}/emacs/site-start.d

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 20000606-1mdk
- first version

# end of file
